:root {
    --product-card-picture-mask-color: #f5f5f5;
    --product-card-color-border-color: #efefef;
    --product-cart-picture-label-background: rgba(255, 255, 255, 0.7);
}

.ComingSoonProductCard {
    min-width: 0;
    padding-left: 0;
    margin-right: 2%;
    flex: 1 0 48%;

    @include mobile {
        margin-bottom: 20px;
    }

    @include before-desktop {
        margin-right: 0;
        flex: 1 1 100%;
    }

    &::before {
        content: none;
    }

    &:last-child {
        margin-bottom: 0.6rem;
    }

    &-Content {
        display: flex;
        height: 100%;
        padding: 0 0 32px;
        margin: 0 32px;
        flex: 1 1 100%;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;

        @include desktop {
            flex: 1 1 50%;
        }
    }

    &-Name {
        overflow: hidden;
        width: 100%;
        max-width: 100%;
        margin-top: 24px;
        color: #141414;
        font-family: $font-rifton;
        font-size: 28px;
        font-weight: normal;
        text-overflow: unset;
        line-height: 32px;
        white-space: normal;

        &_isLoaded {
            text-overflow: ellipsis;
        }

        @include mobile {
            margin-top: 16px;
            font-size: 20px;
            font-weight: normal;
            line-height: 32px;
        }
    }

    &-Figure {
        flex: 1 1 100%;

        img {
            max-width: 300px;
            margin: 0 auto;
        }

        @include desktop {
            flex: 1 1 50%;

            img {
                width: 100%;
            }
        }
    }

    &-Link {
        display: flex;
        width: 100%;
        flex-direction: row;
        color: inherit;

        @include mobile {
            flex-direction: column;
        }

        &:hover,
        &:focus {
            text-decoration: none;
        }
    }

    p {
        margin-bottom: 0;
    }

    .ProductCard-Coming-soon-date {
        position: relative;
        bottom: 0;
    }

    .ProductCard-Coming-soon-countDown {
        margin: 0;
        position: relative;
        bottom: auto;

        @include mobile {
            margin-top: 14px;
        }

        &-element {
            padding: 0;
            color: #7a7a7a;
            background: transparent;
            font-size: 20px;
            font-weight: normal;
            line-height: 32px;
        }

        &-text {
            color: #7a7a7a;
            font-size: 9px;
            font-weight: normal;
            text-transform: uppercase;
            line-height: 16px;
        }
    }
}

.prm {
    .ComingSoonProductCard {
        &-Name {
            font-family: 'Work Sans', sans-serif;
            font-size: 28px;
            font-style: normal;
            font-weight: normal;
            text-transform: uppercase;
            line-height: 32px;
        }
    }
}
